Bug 178864 - [patch] graphics/gifsicle: update to 1.70
[patch] graphics/gifsicle: update to 1.70
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 17:10 UTC by a
Modified: 2013-06-15 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.50 KB, patch)
2013-05-23 17:10 UTC, a
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description a 2013-05-23 17:10:00 UTC
Please, update graphics/gifsicle to 1.70 and tidy up its Makefile a bit.

Fix: - Update to 1.70

- Trim header
- Add LICENSE_FILE
- Remove HAVE_UNISYS_LICENSE, which is no longer needed according to [1] and [2]
- Use PORT_OPTIONS:MDOCS instead of NOPORTDOCS

[1] https://github.com/kohler/gifsicle/blob/master/README
[2] https://www.gnu.org/philosophy/gif.html

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-05-23 17:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-06-15 13:00:23 UTC
Author: wg
Date: Sat Jun 15 12:00:14 2013
New Revision: 320991
URL: http://svnweb.freebsd.org/changeset/ports/320991

Log:
  graphics/gifsicle: update to 1.70
  
  - Update to 1.70 [1]
  - NOPORTDOCS -> PORT_OPTIONS:MDOCS [1]
  - WITHOUT_X11 -> PORT_OPTIONS:MX11
  - Use new OPTIONS_SUB
  - Use PORTDOCS instead of pkg-plist
  
  PR:		ports/178864 [1]
  Submitted by:	Alexander Milanov <a@amilanov.com> [1]
  Approved by:	culot / jpaetzel (mentors, implicit), maintainer (timeout)

Modified:
  head/graphics/gifsicle/Makefile
  head/graphics/gifsicle/distinfo
  head/graphics/gifsicle/pkg-plist

Modified: head/graphics/gifsicle/Makefile
==============================================================================
--- head/graphics/gifsicle/Makefile	Sat Jun 15 11:58:33 2013	(r320990)
+++ head/graphics/gifsicle/Makefile	Sat Jun 15 12:00:14 2013	(r320991)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	gifsicle
-# Date created:			19 December 1998
-# Whom:				Brad Hendrickse <bradh@iafrica.com>
-#
+# Created by: Brad Hendrickse <bradh@iafrica.com>
 # $FreeBSD$
-#
 
 PORTNAME=	gifsicle
-PORTVERSION=	1.63
+PORTVERSION=	1.70
 CATEGORIES=	graphics
 MASTER_SITES=	http://www.lcdf.org/gifsicle/
 
@@ -19,24 +15,27 @@ GNU_CONFIGURE=	yes
 
 MAN1=		gifdiff.1 gifsicle.1
 
-.if !defined(HAVE_UNISYS_LICENSE)
-CONFIGURE_ARGS+=	--enable-ungif
-.endif
+PORTDOCS=	NEWS README
+
+OPTIONS_DEFINE=	X11
+OPTIONS_DEFAULT=X11
+
+OPTIONS_SUB=	yes
+
+.include <bsd.port.options.mk>
 
-.if defined(WITHOUT_X11)
+.if ! ${PORT_OPTIONS:MX11}
 PKGNAMESUFFIX=	-nox11
 CONFIGURE_ARGS+=	--without-x --disable-gifview
-PLIST_SUB=	X11='@comment '
 .else
 USE_XORG=	x11
 MAN1+=		gifview.1
-PLIST_SUB=	X11=''
 .endif
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	${INSTALL_MAN} ${WRKSRC}/README ${DOCSDIR}
+	${INSTALL_MAN} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}/
 .endif
 
 .include <bsd.port.mk>

Modified: head/graphics/gifsicle/distinfo
==============================================================================
--- head/graphics/gifsicle/distinfo	Sat Jun 15 11:58:33 2013	(r320990)
+++ head/graphics/gifsicle/distinfo	Sat Jun 15 12:00:14 2013	(r320991)
@@ -1,2 +1,2 @@
-SHA256 (gifsicle-1.63.tar.gz) = 62cecfbdc27c8b794d189af4a0995d245feab8abb14f9e50dfe17bb4cf2cf912
-SIZE (gifsicle-1.63.tar.gz) = 257658
+SHA256 (gifsicle-1.70.tar.gz) = 8ed2afd9771a78b8afdc2c2f61c548e184fa0cc0b7e671b8dd8d29c109ebc90c
+SIZE (gifsicle-1.70.tar.gz) = 262069

Modified: head/graphics/gifsicle/pkg-plist
==============================================================================
--- head/graphics/gifsicle/pkg-plist	Sat Jun 15 11:58:33 2013	(r320990)
+++ head/graphics/gifsicle/pkg-plist	Sat Jun 15 12:00:14 2013	(r320991)
@@ -1,5 +1,3 @@
 bin/gifdiff
 bin/gifsicle
 %%X11%%bin/gifview
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-06-15 13:04:06 UTC
Responsible Changed
From-To: sylvio->wg

I'll take it.
Comment 4 William Grzybowski freebsd_committer 2013-06-15 13:04:16 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!